%define name		xine-browser-plugin
%define oname		xine-plugin
%define version		1.0.1
%define release		%mkrel 3

Summary:	A xine mozilla plugin
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
License:	GPL
Group:		Video
URL:		http://xinehq.de/index.php/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libxine-devel

%description
This is a xine plugin for mozilla

%prep
%setup -q -n %{oname}-%{version}

%build
XINE_CONFIG=/usr/bin/xine-config
./configure --prefix=%{_libdir}/mozilla
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}
mkdir -p %buildroot%{_libdir}/mozilla/plugins
mv %{buildroot}/root/.mozilla/plugins/xine* %{buildroot}%{_libdir}/mozilla/plugins
rm -rf %{buildroot}$HOME/.mozilla/plugins/xine*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_libdir}/mozilla/plugins/xine-logo.ogg
%{_libdir}/mozilla/plugins/xineplugin.la
%{_libdir}/mozilla/plugins/xineplugin.so

%changelog
* Tue Jul 28 2009 pcserver <pcserver at hushmail.com> 1.0.1-1pclos2009
- create

